AG_DRIVERWGL(3)

NAME
AG_DriverWGL - agar WGL driver

DESCRIPTION
The Agar wgl driver provides a direct interface to the Windows API, and renders GUI elements using OpenGL primitives and textures. On the Windows platform, wgl is usually the default driver.

INHERITANCE HIERARCHY
AG_Driver(3) -> AG_DriverMw(3) -> AG_DriverWGL.

EXAMPLES

    AG_InitGraphics("wgl");

OPTIONS
debug
    Capture GL_DEBUG_OUTPUT errors.
stereo
    Request a stereoscopic visual.

SEE ALSO
AG_Driver(3), AG_DriverMw(3), AG_GL(3), AG_InitGraphics(3), AG_Intro(3)

OpenGL: https://www.opengl.org/
Microsoft Learn: https://learn.microsoft.com/

HISTORY
The wgl driver first appeared in Agar 1.4.0. The "debug" option appeared in Agar 1.6.0.